//var list

% Total number of variables in the model below: 
% Endogenous variables (52 variables)
var B            % total deposits
    B_P          % private deposits/bank deposits
    B_G          % public bonds issued to finance credit policy
    C            % consumption
    C_G          % public consumption 
    E            % energy aggregate
    E_F          % fossil energy
    E_L          % low-carbon energy
    I_F          % investment fossil sector
    I_L          % investment low-carbon sector
    I_Y          % investment production sector 
    K_F          % total capital fossil sector 
    K_L          % capital low-carbon sector
    K_Y          % capital production sector
    lambda       % Lagrange multiplier
    LAMBDA       % households' stochastic discount factor
    MC           % marginal costs production sector
    N            % labor 
    NU           % marginal value of net worth
    NW           % net worth
    NW_E         % net worth existing bankers
    NW_NEW       % net worth new bankers
    P_E          % real aggregate energy price
    P_EF         % real fossil energy price
    P_EL         % real low-carbon energy price
    PHI          % leverage ratio
    PI           % inflation
    Q_F          % price of capital fossil sector
    Q_L          % price of capital low-carbon sector
    Q_Y          % price of capital production sector
    R            % real interest rate
    R_F          % stochastic return on fossil sector's assets
    R_L          % stochastic returns on low-carbon sector's assets
    R_Y          % stochastic return on production sector's assets
    RN           % nominal interest rate   N.B. in the tex file RN=(1+i) 
    S_F          % total intermediated assets fossil sector
    S_L          % total intermediated assets low-carbon sector
    S_Y          % total intermediated assets production sector
    S_FP         % privately intermediated assets fossil sector
    S_LP         % privately intermediated low-carbon sector
    S_YP         % privately intermediated assets production sector
    S_FG         % assets fossil sector intermediated via government assistance
    S_LG         % assets low-carbon sector intermediated via government assistance
    S_YG         % assets production sector intermediated via government assistance
    T            % lump-sum taxes
    U            % utility
    V            % loss supported by bankers/value function
    VA_Y         % value added production sector
    VA_F         % value added fossil sector
    W            % real wage 
    X            % polluting input
    
    PI_obs
    R_obs
    Y_obs
    C_obs
    Y_tilde
    C_tilde
    Y;           % production 

%price of X (1 variable)
var P_X;        % carbon price - exogenously set + policy shock 

%credit policy variables (3 variables)
var CREDIT_L     % credit policy low-carbon sector
CREDIT_F         % credit policy fossil sector
CREDIT_Y;        % credit policy production sector

%tax rates  (1 variable)
var 
TAU_X;           % carbon tax

%exogenous process and additional variables (11 variables)

var A_F      % technology fossil sector
A_L          % technology low-carbon sector
A_Y          % technology
LEV          % leverage ratio (non-risk adjusted)
SPREAD_Y     % spread= return on Y - safe rate
SPREAD_F     % spread= return on F - safe rate
SPREAD_L     % spread= return on L - safe rate
G            % total public expenditure
XI_F         % quality of capital fossil sector
XI_L         % quality of capital low-carbon sector
XI_Y;        % quality of capital production sector



% shock processes (13 variables)
var A_F_SHOCK        % tech process fossil sector
    A_L_SHOCK        % tech process low-carbon sector
    A_Y_SHOCK        % tech process production sector
    XI_F_SHOCK       % capital quality process fossil sector
    XI_L_SHOCK       % capital quality process low-carbon sector
    XI_Y_SHOCK       % capital quality process production sector
    X_SHOCK          % reduction emission
    TAU_X_SHOCK;     % carbon tax policy shock 


%varexo %eps_A_F             % tech shock fossil sector
        %eps_A_L             % tech shock low-carbon sector
        %eps_A_Y             % tech shock production sector
        %eps_XI_F            % capital quality shock fossil sector
        %eps_XI_L            % capital quality shock low-carbon sector
        %eps_XI_Y            % capital quality shock production sector
        %eps_X;              % emission reduction 
        %eps_TAU_X;         % carbon tax policy shock


